




@include media-breakpoint-up(lg) {
  span,
  ol,
  ul,
  pre,
  div {
    
    scrollbar-width: thin;

    
    &::-webkit-scrollbar {
      width: get($scrollbar, width);
      height: get($scrollbar, height);
    }

    
    @include scrollbar-color(get($scrollbar, color), get($scrollbar, hover-color));
  }
}


.scroll {
  overflow: scroll;
  position: relative;

  
  @include media-breakpoint-down(lg) {
    overflow: auto;
  }
}

.scroll-x {
  overflow-x: scroll;
  position: relative;

  
  @include media-breakpoint-down(lg) {
    overflow-x: auto;
  }
}

.scroll-y {
  overflow-y: scroll;
  position: relative;

  
  @include media-breakpoint-down(lg) {
    overflow-y: auto;
  }
}


.hover-scroll {
  position: relative;

  
  @include media-breakpoint-up(lg) {
    overflow: hidden;

    border-right: get($scrollbar, width) solid transparent;
    border-bottom: get($scrollbar, height) solid transparent;
    margin-right: -#{get($scrollbar, width)};
    margin-bottom: -#{get($scrollbar, height)};

    &:hover {
      overflow: scroll;
      border-right: 0;
      border-bottom: 0;
    }

    
    @-moz-document url-prefix() {
      overflow: scroll;
      position: relative;
      border-right: 0;
      border-bottom: 0;
    }
  }

  
  @include media-breakpoint-down(lg) {
    overflow: auto;
  }
}


.hover-scroll-y {
  position: relative;

  
  @include media-breakpoint-up(lg) {
    overflow-y: hidden;
    border-right: get($scrollbar, width) solid transparent;
    margin-right: -#{get($scrollbar, width)};

    &:hover {
      overflow-y: scroll;
      border-right: 0;
    }

    
    @-moz-document url-prefix() {
      overflow-y: scroll;
      position: relative;
      border-right: 0;
    }
  }

  
  @include media-breakpoint-down(lg) {
    overflow-y: auto;
  }
}


.hover-scroll-x {
  position: relative;

  
  @include media-breakpoint-up(lg) {
    overflow-x: hidden;
    border-bottom: get($scrollbar, height) solid transparent;

    &:hover {
      overflow-x: scroll;
      border-bottom: 0;
    }

    
    @-moz-document url-prefix() {
      overflow-x: scroll;
      position: relative;
      border-bottom: 0;
    }
  }

  
  @include media-breakpoint-down(lg) {
    overflow-x: auto;
  }
}


.hover-scroll-overlay-y {
  overflow-y: hidden;
  position: relative;

  --scrollbar-space: #{get($scrollbar, space)};

  
  &::-webkit-scrollbar {
    width: calc(#{get($scrollbar, width)} + var(--scrollbar-space));
  }

  &::-webkit-scrollbar-thumb {
    background-clip: content-box;
    border-right: var(--scrollbar-space) solid transparent;
  }

  &:hover {
    overflow-y: overlay;
  }

  
  @-moz-document url-prefix() {
    overflow-y: scroll;
    position: relative;
  }
}
